<nb-card>
  <nb-card-body>
    <div class="form-group" style="width: 100%;">
      <label for="formControlUsername">
        Enter Username:
      </label>
      <nb-form-field class="form-group" style="width: 100%;">
        <nb-icon nbPrefix icon="at-outline" pack="eva"></nb-icon>
        <input
          id="formControlUsername"
          [formControl]="formControlUsername"
          nbInput
          fullWidth
          type="text"
          placeholder="Username"
          (keyup.enter)="forget()"
        />
      </nb-form-field>
      <button nbButton fullWidth status="primary" (click)="forget()">
        Reset Password
      </button>
    </div>
    <div class="form-group" style="width: 100%;">
      <label for="formControlCode">
        Enter Code:
      </label>
      <nb-form-field class="form-group" style="width: 100%;">
        <nb-icon nbPrefix icon="hash-outline" pack="eva"></nb-icon>
        <input
          id="formControlCode"
          [formControl]="formControlCode"
          nbInput
          fullWidth
          type="text"
          placeholder="000000"
        />
      </nb-form-field>
    </div>
    <div class="form-group" style="width: 100%;">
      <label for="formControlPassword">
        Enter Password:
      </label>
      <nb-form-field class="form-group" style="width: 100%;">
        <nb-icon nbPrefix icon="lock-outline" pack="eva"></nb-icon>
        <input
          id="formControlPassword"
          [formControl]="formControlPassword"
          nbInput
          fullWidth
          type="password"
          placeholder="Password"
          (keyup.enter)="confirm()"
        />
      </nb-form-field>
    </div>
    <button nbButton fullWidth (click)="confirm()" status="primary">
      Confirm Password
    </button>
  </nb-card-body>
</nb-card>
